Class | Chef::Provider::CookbookFile
In: | lib/chef/provider/cookbook_file.rb
Parent: | Chef::Provider::File

### Methods

action_create backup_new_resource content_stale? enforce_tempfile_inheritance file_cache_location load_current_resource resource_cookbook whyrun_supported?

### Public Instance methods

action_create()
backup_new_resource()
content_stale?()
file_cache_location()
load_current_resource()
resource_cookbook()

Determine the cookbook to get the file from. If new resource sets an explicit cookbook, use it, otherwise fall back to the implicit cookbook i.e., the cookbook the resource was declared in.

whyrun_supported?()

### Protected Instance methods

enforce_tempfile_inheritance(tempfile_path)

[Validate]